import request from '@/utils/request'

// 查询ipc分类列表
export function listDIpcType(query) {
  return request({
    url: '/system/dIpcType/list',
    method: 'get',
    params: query
  })
}

// 查询ipc分类详细
export function getDIpcType(id) {
  return request({
    url: '/system/dIpcType/' + id,
    method: 'get'
  })
}

// 新增ipc分类
export function addDIpcType(data) {
  return request({
    url: '/system/dIpcType',
    method: 'post',
    data: data
  })
}

// 修改ipc分类
export function updateDIpcType(data) {
  return request({
    url: '/system/dIpcType',
    method: 'put',
    data: data
  })
}

// 删除ipc分类
export function delDIpcType(id) {
  return request({
    url: '/system/dIpcType/' + id,
    method: 'delete'
  })
}
